> ## Documentation Index
> Fetch the complete documentation index at: https://humanity-eaeda8f6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post oauthclientuser token



## OpenAPI

````yaml api-reference/openapi.json post /oauth/client/user-token
openapi: 3.1.0
info:
  version: 0.1.0
  title: hp-public-dev-api-server
  description: NestJS CQRS + TDD base for Humanity Public Dev API
servers:
  - url: https://api.sandbox.humanity.org/v2
    description: Sandbox environment for development and testing
  - url: https://api.humanity.org/v2
    description: Production environment
security: []
tags: []
paths:
  /oauth/client/user-token:
    post:
      tags: []
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClientUserTokenRequest'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientUserTokenResponse'
components:
  schemas:
    ClientUserTokenRequest:
      type: object
      properties:
        client_id:
          type: string
        client_secret:
          type: string
        identifier:
          type: string
        user_id:
          type: string
        email:
          type: string
        evm_address:
          type: string
      required:
        - client_id
        - client_secret
    ClientUserTokenResponse:
      type: object
      properties:
        access_token:
          type: string
        token_type:
          const: Bearer
        expires_in:
          type: number
        issued_at:
          type: string
        user_id:
          type: string
        client_id:
          type: string
        authorization_id:
          type: string
        scopes:
          type: array
          items:
            type: string
      required:
        - access_token
        - token_type
        - expires_in
        - issued_at
        - user_id
        - client_id
        - authorization_id
        - scopes

````